### Class

# Foundry VcsFile

#### Description

    abstract class Foundry.VcsFile : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitFile

#### Instance methods

###### foundry_vcs_file_dup_file

No description available.

###### foundry_vcs_file_dup_relative_path

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsFile:file

No description available.

###### Foundry.VcsFile:relative-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsFileClass {
      GObjectClass parent_class;
      char* (* dup_relative_path) (
        FoundryVcsFile* self
      );
      GFile* (* dup_file) (
        FoundryVcsFile* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_relative_path: char* (* dup_relative_path) ( FoundryVcsFile* self )`

  No description available.

`dup_file: GFile* (* dup_file) ( FoundryVcsFile* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsFileClass.dup_file

No description available.

###### Foundry.VcsFileClass.dup_relative_path

No description available.